Name:       php-voot2-provider
Version:    0.3.1
Release:    1%{?dist}
Summary:    VOOT 2.0 Provider

Group:      Applications/Internet
License:    MIT

URL:        https://software.tuxed.net/php-voot2-provider
Source0:    https://software.tuxed.net/php-voot2-provider/files/php-voot2-provider-%{version}.tar.xz
Source1:    https://software.tuxed.net/php-voot2-provider/files/php-voot2-provider-%{version}.tar.xz.asc
Source2:    gpgkey-6237BAF1418A907DAA98EAA79C5EDD645A571EB2
Source3:    %{name}-httpd.conf
Patch0:     %{name}-autoload.patch

BuildArch:  noarch

BuildRequires:  gnupg2
BuildRequires:  php-fedora-autoloader-devel
BuildRequires:  %{_bindir}/phpab
#        "ext-hash": "*",
#        "ext-json": "*",
#        "ext-ldap": "*",
#        "php": ">= 5.4",
BuildRequires:  php(language) >= 5.4.0
BuildRequires:  php-hash
BuildRequires:  php-json
BuildRequires:  php-ldap
#        "psr/log": "^1",
#        "symfony/polyfill-php56": "^1"
BuildRequires:  php-composer(psr/log)
BuildRequires:  php-composer(symfony/polyfill-php56)
BuildRequires:  php-fedora-autoloader-devel
%if 0%{?fedora} >= 28 || 0%{?rhel} >= 8
BuildRequires:  phpunit7
%global phpunit %{_bindir}/phpunit7
%else
BuildRequires:  phpunit
%global phpunit %{_bindir}/phpunit
%endif

#        "ext-hash": "*",
#        "ext-json": "*",
#        "ext-ldap": "*",
#        "php": ">= 5.4",
Requires:   php(language) >= 5.4.0
Requires:   php-hash
Requires:   php-json
Requires:   php-ldap
#        "psr/log": "^1",
#        "symfony/polyfill-php56": "^1"
Requires:  php-composer(psr/log)
Requires:  php-composer(symfony/polyfill-php56)
Requires:  php-fedora-autoloader
%if 0%{?fedora} >= 24 || 0%{?rhel} >= 8
Requires:   httpd-filesystem
%else
Requires:   httpd
%endif

%description
Simple implementation of the VOOT 2.0 protocol written in PHP.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -qn %{name}-%{version}
%patch0 -p1

%build
%{_bindir}/phpab -t fedora -o src/autoload.php src
cat <<'AUTOLOAD' | tee -a src/autoload.php
require_once '%{_datadir}/php/Psr/Log/autoload.php';
require_once '%{_datadir}/php/Symfony/Polyfill/autoload.php';
AUTOLOAD

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/php/fkooman/Voot
cp -pr src/* %{buildroot}%{_datadir}/php/fkooman/Voot
cp -pr web %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -pr config/config.php.example %{buildroot}%{_sysconfdir}/%{name}/config.php
ln -s ../../../etc/%{name} %{buildroot}%{_datadir}/%{name}/config

install -m 0644 -D -p %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

%check
%{_bindir}/phpab -t fedora -o tests/autoload.php tests
cat <<'AUTOLOAD' | tee -a tests/autoload.php
require_once 'src/autoload.php';
AUTOLOAD

%{phpunit} tests --verbose --bootstrap=tests/autoload.php

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%dir %attr(0750,root,apache) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.php
%dir %{_datadir}/php/fkooman
%{_datadir}/php/fkooman/Voot
%{_datadir}/%{name}/web
%{_datadir}/%{name}/config
%doc README.md CHANGES.md composer.json config/config.php.example
%license LICENSE

%changelog
* Tue Sep 25 2018 François Kooman <fkooman@tuxed.net> - 0.3.1-1
- update to 0.3.1

* Tue Sep 25 2018 François Kooman <fkooman@tuxed.net> - 0.3.0-1
- update to 0.3.0

* Thu Aug 02 2018 François Kooman <fkooman@tuxed.net> - 0.2.1-4
- use phpunit7 on supported platforms
- use release tarball instead of Git tarball
- verify GPG signature

* Mon Jul 23 2018 François Kooman <fkooman@tuxed.net> - 0.2.1-3
- add missing BR

* Mon Jul 23 2018 François Kooman <fkooman@tuxed.net> - 0.2.1-2
- use fedora phpab template

* Fri Jun 01 2018 François Kooman <fkooman@tuxed.net> - 0.2.1-1
- update to 0.2.1

* Fri Jun 01 2018 François Kooman <fkooman@tuxed.net> - 0.2.0-1
- update to 0.2.0

* Fri Jun 01 2018 François Kooman <fkooman@tuxed.net> - 0.1.2-1
- update to 0.1.2

* Thu May 31 2018 François Kooman <fkooman@tuxed.net> - 0.1.1-1
- update to 0.1.1

* Thu May 31 2018 François Kooman <fkooman@tuxed.net> - 0.1.0-1
- initial packag
